<!DOCTYPE html>
<html lang="zxx">

<head>
  <meta charset="utf-8">
  <title>MDEF | Andrea Bertran_Principles and program management</title>
  <link rel="icon" type="image/png" href="images/favicomatic/favicon-32x32.png" sizes="32x32" />
  <!-- mobile responsive meta -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

  <!-- ** Plugins Needed for the Project ** -->
  <!-- Bootstrap -->
  <link rel="stylesheet" href="plugins/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="plugins/themify/css/themify-icons.css">
  <link rel="stylesheet" href="plugins/counto/animate.css">
  <link rel="stylesheet" href="plugins/aos/aos.css">
  <link rel="stylesheet" href="plugins/owl-carousel/owl.carousel.min.css">
  <link rel="stylesheet" href="plugins/owl-carousel/owl.theme.default.min.css">
  <link rel="stylesheet" href="plugins/magnific-popup/magnific-popup.css">
  <link rel="stylesheet" href="plugins/animated-text/animated-text.css">

  <!-- Main Stylesheet -->
  <link href="css/style.css" rel="stylesheet">

</head>

<body>

<!-- Navigation Start -->
<!-- Header Start -->

<nav class="navbar navbar-expand-lg  main-nav " id="navbar">
    <div class="container">
	  <a class="navbar-brand" href="index.html">
	  	<img src="images/logo_2.png" alt="Image" style="width:170px"; class="img-fluid">
	  </a>


    <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarsExample09" aria-controls="navbarsExample09" aria-expanded="false" aria-label="Toggle navigation">
		<span class="ti-align-justify"></span>
	  </button>

  	  <div class="collapse navbar-collapse" id="navbarsExample09">
			<ul class="navbar-nav ml-auto">

      <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="dropdown01" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Info</a>
          <ul class="dropdown-menu" aria-labelledby="dropdown01">
            <li><a class="dropdown-item" href="about-me.html">About me</a></li>
            <li><a class="dropdown-item" href="contact.html">Contact</a></li>
            <li><a class="dropdown-item" href="https://www.dropbox.com/home/Portfolio?preview=2019.01_Portfolio+Andrea+Bertran.pdf" target="_blank" >Portfolio</a></li>
          </ul>
        </li>

        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="dropdown02" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">MDEF</a>
          <ul class="dropdown-menu" aria-labelledby="dropdown02">
            <li><a class="dropdown-item" href="term1.html">Term 1</a></li>
            <li><a class="dropdown-item" href="term2.html">Term 2</a></li>
            <li><a class="dropdown-item" href="term3.html">Term 3</a></li>
            <li><a class="dropdown-item" href="masterproject.html">Master's project</a></li>
          </ul>
        </li>

      </ul>
      </div>
  </div>
</nav>

<!-- Header Close -->


<!-- Body Open -->
<section class="page-title section pb-0">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">

        <div class="text-left">
          <h2 class="mb-0 text-lg">'Principles and Program Management'</h2>
          <span class="date text-sm">02.05.2020</span>
        </div>
      </div>
      </div>
    </div>
  </div>
 </div>
</section>

<section class="section portfolio-single">
	<div class="container">
		<div class="row justify-content-center">
			<div class="col-lg-12">
				<div class="project-info" align="justify">
          <h4> Making my website </h4>
          <span style="display:block; height: 20px;"></span>
					<p>
            I never had a website before, neither try to make one. At the beginning of MDEF, the tutors gave us an introductory class of Gitlab. Why? Because it is a platform that allows us to manage our projects through an online  repository. Gitlab comes from Git, which is an open-source version control system created by Linus Torvalds (Linux inventor) and developers use it to collaborate, share, change and contribute with projects.
            <br><br>
            The first thing I needed to do was to create my account and repository. The respository / repo is where all the files of my project in this case, website will be saved. It has its own URL and is open to anyone that would like to use it. The tutors gave us a template to save in our repo, (we need to change and adjust it to our preferences). After having the files in our repo, you need to clone them to your PC (in order to work on them locally and then upload the changes). For making this clone/copy I used Gitbash a terminal created by Git (again) and is similar to command prompt in Windows.
            <br><br>
            <b>Steps:</b> <ol>
              <li> Open Gitbash </li>
              <li> Go to the folder where you want to keep your files "cd+folder_name"</li>
              <li>Type "git init" to link your pc with the repo.
              <li> Go to your repository and under "Clone or download" copy the url under "SSH key". </li>
              <li>Go back to Gitbash and type "git clone + paste url you just copied"</li>
              <li>After this you should have a copy of your repo in your pc.</li>
            </ol>
            <b>Other common commands:</b> <br><br><ul>
              <li>"git init" - Initialize a Git repository for our project folder.</li>
              <li>"git add" - Will add an especific file into the repository.</li>
              <li>"git push" - The local files synch /upload to the repository.</li>
              <li>"git clone" - Copy the project's files from the remote repository. </li>
              <li>"git pull" - Downloads the content from the remote repository.</li>
            </ul>
             After this, I downloaded Atom. A text editor that supports a lot of languages (as C, C++, CSS, HTML, PYTHON, JavaScript, Python, etc...) It was developed by Github (same family as Git and Gitlab). It is a desktop application that allows us to write code and as it is linked to the Git family we can easily upload our modified files to our repository. After installing it, I needed to add my project. For this I went to the File - Add Project Folder and choose my project folder.
             <br><br>
             <b>To remember..</b> Make sure you have the "Github package" to easily upload the files to my repo from Atom instead of using Gitbash. To install go to File - Settings - Packages and search for "Github integration". After installing it on the right bottom corner, you'll see a series of buttons. When making changes to the files you'll see the number of files changed will start to add under the "Git" button. When finishing the changes you want to make, press this button and click on "Stage All" -  to upload the files you want to change. Write a "Commit message" - things you changed or added at this time. "Commit to master" - uploaded-half-way. "Push" to finally upload the files.
             <br><br>
             Now, if you go to your repository you can see that the repo is working and uploading the changes. You just need to wait until it finishes to see the changes.

             <br><br>

             Repository + Atom + my web

             <br><br>

             <a class="image">
             <img src="images/Term_02/Principles and practices/web.JPG" alt="" style="width:358px"class="img-fluid"></a>
             <a class="col-md-auto">
             <img src="images/Term_02/Principles and practices/web_2.JPG" alt="" style="width:358px"class="img-fluid"></a>
             <a class="image">
             <img src="images/Term_02/Principles and practices/web_3.JPG" align="right" alt="" style="width:358px"class="img-fluid"></a>
             <br><br>

             To learn more Git commands - <a target="_blank" href="https://intellipaat.com/blog/tutorial/devops-tutorial/git-commands/"> <i>click here</i></a>. <br>
             To read about Git and family - <a target="_blank" href="https://www.howtogeek.com/180167/htg-explains-what-is-github-and-what-do-geeks-use-it-for/"> <i>click here</i></a>. <br>
             To read a better explanation for working with Atom and Git - <a target="_blank" href="https://packitforwarding.com/index.php/2019/06/26/how-to-setup-git-github-and-atom/"> <i>click here</i></a>.

             <br><br><br><br><br><br>

            <h4>Project - Listening and feeling visual art </h4>
            <span style="display:block; height: 20px;"></span>
            <a class="image">
            <img src="images/Term_02/Principles and practices/pandp_3.jpg" alt="" style="width:545px" class="img-fluid">
            <img src="images/Term_02/Principles and practices/pandp_5.jpg" align="right" alt="" style="width:545px" class="img-fluid"></a>
            <br><br>
            Whatever the particularities of all artworks, each piece represents an idea, a concept, a line of work for which the artist expresses its way of perception. For the audience, this concept is not necessarily inherent or visible to the eyes. Sometimes there needs to be a description, context, a common ground. For understanding what the artwork is willing to show.
            <br><br>
            This project aims to find another way to translate the emotions evoked by visual arts. Colors turn to vibrations through the use of haptic devices to describe color, saturation, contrast, brightness, vibrancy, or others.
            We are experimenting with the different possibilities to learn through touch.
            <br><br>

            <h4> What am I doing for Fab Academy?</h4> A device that can translate colors of artworks to vibrations.
            <span style="display:block; height: 20px;"></span>

              <a class="image">
              <img src="images/Term_02/Principles and practices/pandp_4.jpg" alt="" style="width:1110px" class="img-fluid"></img></a>

           <br></br>
           <br>

           <h4> Notes</h4>
           <span style="display:block; height: 20px;"></span>
            <ul>
              <li>If I have enough time, it would be nice to create an App for any device to translate "colors" to vibrations.</li>
              <li>The project aims to help any person interested in exploring art differently. I am targetting adults (specifically the visually impaired) to open their minds to new possibilities for learning by experiencing.</li>
              <li>References: <a target="_blank" href="https://playtronica.com/"> <i>Playtronica</i></a>, <a target="_blank" href="https://www.designboom.com/technology/artificial-skin-haptic-feed-back-vr-09-30-2019/"> <i>Artificial Skin_EPFL’s reconfigurable robotics lab (RRL)</i></a>, <a target="_blank" href="https://www.ted.com/talks/david_eagleman_can_we_create_new_senses_for_humans#t-1010929"> <i>David Eagleman</i></a>,
                <a target="_blank" href="https://www.scienceandmediamuseum.org.uk/what-was-on/supersenses"> <i>Supersenses</i></a>, <a target="_blank" href="http://www.aedoproject.eu/"> <i>Aedo Project</i></a>.</li>
            </ul>
            <br>
            <h4> Weekly "To do" list </h4>
            <span style="display:block; height: 20px;"></span>
            <ol>
              <li><b>Computer-Aided Design:</b> Model prototype of project - General idea of what it can look like.</li>
              <li><b>Computer-Controlled Cutting:</b> Laser cut the "case", Laser cut the logo of the project.</li>
              <li><b>Electronics production:</b> Design the in-circuit and mill the PCB to then program it.</li>
              <li><b>3D Scanning and Printing:</b> Scan examples of buttons and print the best option that can fit the needs of my project.</li>
              <li><b>Computer-Controlled Machining:</b> Make a stand por exhibiting in Design Dialogues.</li>
              <li><b>Electronics Design:</b> Design possible board or adapt a microcontroller circuit board to be used in the project.</li>
              <li><b>Embedded Programming:</b> Program my board to trigger vibrations when receiving "X" signal.</li>
              <li><b>Moulding and Casting:</b> Model and cast possible needed pieces.</li>
            </ol>
          </p>


<!-- Body Close -->
  <br></br>

        <div class="mt-5">
					<a href="2020.02.03_1st intervention.html" class="image">
          <img src="images/Izq.png" alt="" style="width:12px" class="img-fluid"></a>

					<a href="2020.02.07_Atlas of weak signals.html" class="image">
          <img src="images/Dcha.png" alt="" style="width:12px" align="right" class="img-fluid"></a>
				</div>

			</div>
		</div>
	</div>
</section>

<!-- Footer start -->
<section class="footer">
	<div class="container">
		<div class="row ">
			<div class="col-lg-6">
        <p class="mb-0"> Email. <a href="mailto:andrea.bertran@students.iaac.net"> <b>andrea.bertran@students.iaac.net</b> </a></p>
        <!--<p class="mb-0"> Phone. <a <b>+34 648 061 626</b> </a></p>-->
        ---
        <p class="mb-0">Copyrights © 2019. Designed & Developed by <a target="_blank" href="https://themefisher.com/"> <b>Themefisher</b> </a></p>
        <p class="mb-0">Copyrights © 2019. Owned and modified by <a target="_blank" href="https://fablabbcn.org/" > <b>Iaac-FablabBarcelona</b> </a></p>
			</div>
			<div class="col-lg-6">
				<div class="widget footer-widget text-lg-right mt-5 mt-lg-0">
					<ul class="list-inline mb-0">
						<li class="list-inline-item"><a href="https://www.instagram.com/ablahh/" target="_blank"><i class="ti-instagram mr-3"></i></a>
						</li>
						<li class="list-inline-item"><a href="https://twitter.com/andreablahh" target="_blank"><i class="ti-twitter mr-3"></i></a>
						</li>
            <li class="list-inline-item"><a href="https://ablahh.tumblr.com/" target="_blank"><i class="ti-tumblr mr-3"></i></a>
						</li>
						<li class="list-inline-item"><a href="https://www.linkedin.com/in/andrea-bertran-l%C3%B3pez-57ba43126/" target="_blank"><i class="ti-linkedin mr-3"></i></a></li>
					</ul>
				</div>
			</div>
		</div>
	</div>
</section>
<!-- jQuery -->
<script src="plugins/jQuery/jquery.min.js"></script>
<!-- Bootstrap JS -->
<script src="plugins/bootstrap/bootstrap.min.js"></script>
<script src="plugins/aos/aos.js"></script>
<script src="plugins/owl-carousel/owl.carousel.min.js"></script>
<script src="plugins/shuffle/shuffle.min.js"></script>
<script src="plugins/magnific-popup/jquery.magnific-popup.min.js"></script>
<script src="plugins/animated-text/animated-text.js"></script>
<script src="plugins/counto/apear.js"></script>
<script src="plugins/counto/counTo.js"></script>

 <!-- Google Map -->
<script src="plugins/google-map/map.js"></script>
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAkeLMlsiwzp6b3Gnaxd86lvakimwGA6UA&callback=initMap"></script>
<!-- Main Script -->
<script src="js/script.js"></script>

</html>
